javax.transaction.xa

## Interface Xid

    public interface Xid

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Mi, 25. Okt 2006) $

### Field Summary

Fields
`static int` `MAXBQUALSIZE`
`static int` `MAXGTRIDSIZE`

### Method Summary

Methods
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`

### Field Detail

#### MAXGTRIDSIZE

    static final int MAXGTRIDSIZE

See Also:
  Constant Field Values

#### MAXBQUALSIZE

    static final int MAXBQUALSIZE

See Also:
  Constant Field Values

### Method Detail

#### getBranchQualifier

    byte[] getBranchQualifier()

#### getFormatId

    int getFormatId()

#### getGlobalTransactionId

    byte[] getGlobalTransactionId()